## copher 0.1.2+20081201

=== Makefile ===
PREFIX=/usr

all:

install: copher.pl
	install -v -m755 copher.pl $(PREFIX)/bin/copher

## copher 0.2.0

=== Makefile ===
PREFIX?=/usr

all:

install: copher.pl copher.1
	install -v -m755 copher.pl $(PREFIX)/bin/copher
	install -v -m644 copher.1 $(PREFIX)/share/man/man1/copher.1

=== debian/changelog ===
copher (0.2.0-2) unstable; urgency=low

  * [5bef21] Update packaging assertion in debian/copyright
  * [9dfc9e] Install THANKS and README.rubyforge using dh_installdocs
  * [37c2ec] Expand extended description
  * [b9a4a5] Backport r1.21 from upstream CVS (Closes: #587061)
  * [f27d21] Move to source format 3.0 (quilt)
  * [df7864] Standards version 3.8.4 (no changes)

 -- Jonathan Wiltshire <debian@jwiltshire.org.uk>  Fri, 25 Jun 2010 13:09:16 +0100

copher (0.2.0-1) unstable; urgency=medium

  * [d3857b] New upstream release (Closes: #535647)
  * [d5172b] Standards version 3.8.2
  * [5ec488] Manual debian/copher.1 integrated upstream
  * [589ab4] Update copyright information

 -- Jonathan Wiltshire <debian@jwiltshire.org.uk>  Sat, 04 Jul 2009 12:11:07 +0100

copher (0.1.2+20081201-2) unstable; urgency=low

  * Added missing dependency libfile-rsync-perl
  * Added VCS-Git and VCS-Browser fields

 -- Jonathan Wiltshire <debian@jwiltshire.org.uk>  Tue, 03 Feb 2009 13:49:40 +0000

copher (0.1.2+20081201-1) unstable; urgency=low

  * New upstream from CVS:
    - include GPL license grant in copher.pl
    - include copherrc.example configuration file
    - make Makefile more helpful
  * Use debhelper 7 and all that it involves
  * Make copher package architecture-independent

 -- Jonathan Wiltshire <debian@jwiltshire.org.uk>  Mon, 01 Dec 2008 09:49:09 +0000

copher (0.1.2-4) unstable; urgency=low

  * Fixed typo in watch file, hopefully for the last time
  * Removed README.Debian, as it was pretty useless
  * Added build dependency of ${misc:Depends}
  * Trimmed falling .0 off standards version

 -- Jonathan Wiltshire <debian@jwiltshire.org.uk>  Mon, 17 Nov 2008 21:01:06 +0000

copher (0.1.2-3) unstable; urgency=low

  * Correct watch file.

 -- Jonathan Wiltshire <debian@jwiltshire.org.uk>  Sun, 16 Nov 2008 17:55:42 +0000

copher (0.1.2-2) unstable; urgency=low

  * Removed Makefile and moved all logic into debian/rules
  * Correct watchfile
  * Change architecture to independent
  * Re-write descriptions in control and manpage
  * Unused features in compat: reduced to level 5
  * Remove unused debian/dirs

 -- Jonathan Wiltshire <debian@jwiltshire.org.uk>  Thu, 04 Sep 2008 22:54:20 +0100

copher (0.1.2-1) unstable; urgency=low

  * Initial release (Closes: #492665) 
  * Wrote a manpage
  * Wrote a Makefile

 -- Jonathan Wiltshire <debian@jwiltshire.org.uk>  Mon, 25 Aug 2008 00:15:36 +0100

=== debian/control ===
Source: copher
Section: devel
Priority: extra
Maintainer: Jonathan Wiltshire <debian@jwiltshire.org.uk>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7)
Standards-Version: 3.8.4
Homepage: http://copher.sourceforge.net/
Vcs-Browser: http://robin.powdarrmonkey.net/cgi-bin/gitweb.cgi?p=copher
Vcs-Git: git://robin.powdarrmonkey.net/git/copher

Package: copher
Architecture: all
Depends: libwww-mechanize-perl, libfile-rsync-perl, ${misc:Depends}
Description: automated SourceForge release management
 Automates management of project releases on sourceforge, including uploading 
 files, adding new releases, and editing existing releases.
 .
 copher can work with projects on SourceForge, RubyForge and LuaForge, and can
 take directions from the command line or from answer files.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh build
	touch $@

clean: 
	dh clean

install: build install-stamp
install-stamp:
	dh install --before dh_auto_install
	$(MAKE) install PREFIX=$(CURDIR)/debian/copher/usr
	dh install --after dh_install
	touch install-stamp

binary-arch: install

binary-indep: install
	dh binary-indep

binary: binary-arch binary-indep

.PHONY: install binary binary-arch binary-indep

=== debian/watch ===
version=3
http://sf.net/copher/copher-(.*)\.tar\.gz
